Jump to content

kde - running new build


Recommended Posts

I am running mdk10.1.

 

I have just finished building kde 3.5.4 using konstruct. My problem is that I cannot start the new version of kde.

 

Folowing the konstruct README I created a shell script

 

#! /bin/sh

export QTDIR=/opt/kde3.5.4

export KDEDIR=/opt/kde3.5.4

export LD_LIBRARY_PATH=/opt/kde3.5.4/lib

export PATH=/opt/kde3.5.4/bin:$PATH

export KDEHOME=~/.kdetest

startkde

 

I assume that I must now edit one of the initialisation scripts to run the new script, but this is where the instructions get vague and googling does not help.

 

So, please, what do I do next?

 

Please do not suggest that I upgrade to Mandriva 2006 :D . I am running the latest versions of gimp, digikam and other packages. Installing 2006 would mean not only downloading three isos but rercompiling all of my applications.

Link to comment
Share on other sites

Try typing:

 

startx

 

instead. And post the errors if it doesn't load. Or, check the xorg log file in /var/logs for errors (EE) and warnings (WW) and post these.

Link to comment
Share on other sites

Sorry, I did not frame my question very well. I have not gone beyond building kde. I have not edited any system files because it is not clear to me what changes need to be made.

 

ISTM that startx -> initrc -> xsession

 

xsession runs icewm by default. That suggests to me that the xsession script first tries to run the gui specified by the user. I assume that that is where I should call the new script. I have not yet determined where that is. Once I have been pointed in the right direction I can begin experimenting again ;)

Link to comment
Share on other sites

I edited .xinitrc and set it as follows::

 

#!/bin/sh

# © 2000-2002 MandrakeSoft

# $Id: xinitrc-xinitrc,v 1.2 2002/09/10 05:53:43 flepied Exp $

 

# Set a background here because it's not done anymore

# in Xsesion for non root users

if [ "`whoami`" != root ]; then

xsetroot -solid "#21449C"

fi

 

#exec /etc/X11/Xsession $*

 

export QTDIR=/opt/kde3.5.4

export KDEDIR=/opt/kde3.5.4

export LD_LIBRARY_PATH=/opt/kde3.5.4/lib

export PATH=/opt/kde3.5.4/bin:$PATH

export KDEHOME=~/.kdetest

# Tried startkde and exec startkde for following line.

#exec startkde

startkde

 

 

When I booted kde 3.2.3 started.

 

I next looked at startkde (full listing below). I noticed a line

 

exepath=`kde-config --path exe`

 

From a terminal I ran

echo `kde-config --path exe`

 

The result was

/root/.kde/bin/:/usr/bin/ ----- when su root

 

/home/dad1/.kde/bin/:/usr/bin/ ---- when su <user>

 

which presumably is the location of kde 3.2.3. Maybe I need to modify this line to point to the config file for 3.5? Or may be I set exepath directly?

 

 

********* startkde listing ********************************

 

#!/bin/sh

#

# DEFAULT KDE STARTUP SCRIPT ( KDE-3.2 )

#

 

# When the X server dies we get a HUP signal from xinit. We must ignore it

# because we still need to do some cleanup.

trap 'echo GOT SIGHUP' HUP

 

# we have to unset this for Darwin since it will screw up KDE's dynamic-loading

unset DYLD_FORCE_FLAT_NAMESPACE

 

# Boot sequence:

#

# kdeinit is used to fork off processes which improves memory usage

# and startup time.

#

# * kdeinit starts the dcopserver and klauncher first.

# * Then kded is started. kded is responsible for keeping the sycoca

# database up to date. When an up to date database is present it goes

# into the background and the startup continues.

# * Then kdeinit starts kcminit. kcminit performs initialisation of

# certain devices according to the user's settings

#

# * Then ksmserver is started which in turn starts

# 1) the window manager (kwin)

# 2) everything in $KDEDIR/share/autostart (kdesktop, kicker, etc.)

# 3) the rest of the session.

 

# The user's personal KDE directory is usually ~/.kde, but this setting

# may be overridden by setting KDEHOME.

 

kdehome=$HOME/.kde

test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^~/,$HOME/,"`

 

exepath=`kde-config --path exe`

 

for prefix in `echo "$exepath" | sed -e 's^/bin/^/env/^g;s^:^ ^g'`; do

for file in "$prefix"*.sh; do

test -r "$file" && . "$file"

done

done

 

 

# Activate the kde font directories.

#

# There are 4 directories that may be used for supplying fonts for KDE.

#

# There are two system directories. These belong to the administrator.

# There are two user directories, where the user may add her own fonts.

#

# The 'override' versions are for fonts that should come first in the list,

# i.e. if you have a font in your 'override' directory, it will be used in

# preference to any other.

#

# The preference order looks like this:

# user override, system override, X, user, system

#

# Where X is the original font database that was set up before this script

# runs.

 

usr_odir=$HOME/.fonts/kde-override

usr_fdir=$HOME/.fonts

 

# Add any user-installed font directories to the X font path

kde_fontpaths=$usr_fdir/fontpaths

do_usr_fdir=1

do_usr_odir=1

if test -r "$kde_fontpaths" ; then

savifs=$IFS

IFS="

"

for fpath in `grep -v '^[ ]*#' < "$kde_fontpaths"` ; do

rfpath=`echo $fpath | sed "s:^~:$HOME:g"`

if test -s "$rfpath"/fonts.dir; then

xset fp+ "$rfpath"

if test "$rfpath" = "$usr_fdir"; then

do_usr_fdir=0

fi

if test "$rfpath" = "$usr_odir"; then

do_usr_odir=0

fi

fi

done

IFS=$savifs

fi

 

if test -n "$KDEDIRS"; then

kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`

sys_odir=$kdedirs_first/share/fonts/override

sys_fdir=$kdedirs_first/share/fonts

else

sys_odir=$KDEDIR/share/fonts/override

sys_fdir=$KDEDIR/share/fonts

fi

 

# We run mkfontdir on the user's font dirs (if we have permission) to pick

# up any new fonts they may have installed. If mkfontdir fails, we still

# add the user's dirs to the font path, as they might simply have been made

# read-only by the administrator, for whatever reason.

 

# Only do usr_fdir and usr_odir if they are *not* listed in fontpaths

test -d "$sys_odir" && xset +fp "$sys_odir"

test $do_usr_odir -eq 1 && test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")

test $do_usr_fdir -eq 1 && test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")

test -d "$sys_fdir" && xset fp+ "$sys_fdir"

 

# Ask X11 to rebuild its font list.

xset fp rehash

 

# if the user has overwritten fonts, the cursor font may be different now

# so don't move this up

 

# Set a left cursor instead of the standard X11 "X" cursor, since I've heard

# from some users that they're confused and don't know what to do. This is

# especially necessary on slow machines, where starting KDE takes one or two

# minutes until anything appears on the screen.

#

# Set the background to plain grey.

# The standard X background is nasty, causing moire effects and exploding

# people's heads. We use colours from the standard KDE palette for those with

# palettised displays.

 

xsetroot -cursor_name left_ptr $bkg

 

[ ! -d $kdehome/share/config ] && mkdir -p $kdehome/share/config

 

if [ ! -e /dev/dsp ] && [ ! -e $kdehome/share/config/kcmartsrc ] ; then

echo "[Arts]" > $kdehome/share/config/kcmartsrc

echo "StartServer=false" >> $kdehome/share/config/kcmartsrc

fi

magicdev &

if [ "`whoami`" = root ] ; then

cd /usr/share/mdk/kde/root-interface/

for i in *; do

if [ ! -e /root/.kde/share/config/$i ]; then

cp -fr $i /root/.kde/share/config/

fi

done

cd -

else

 

#if [ -f ~/.drakfw ] && [ -f $kdehome/share/apps/konqueror/bookmarks.xml ] && [ "$(cat $kdehome/share/apps/konqueror/bookmarks.xml | wc -l| awk '{print $1}')" -eq "2" ] ; then

 

# cp -fv /usr/share/mdk/kde/bookmarks.xml $kdehome/share/apps/konqueror/

# perl -pi -e "/\[KonqMainWindow Toolbar bookmarkToolBar\]/ .. /^\s*$/ and s/Hidden=true/Hidden=false/" $kdehome/share/config/konquerorc

#elif [ ! -f $kdehome/share/apps/konqueror/bookmarks.xml ]; then

# [ ! -d $kdehome/share/apps/konqueror/ ] && mkdir -p $kdehome/share/apps/konqueror/

# cp -fv /usr/share/mdk/kde/bookmarks.xml $kdehome/share/apps/konqueror/

#fi

 

if [ $(grep "META_CLASS=desktop" /etc/sysconfig/system) ]; then

if [ ! -e $kdehome/Autostart/openkmenu.desktop ] && [ ! -e $kdehome/Autostart/.openkmenu ]; then

[ ! -d $kdehome/Autostart ] && mkdir -p $kdehome/Autostart

cp /usr/share/mdk/kde/openkmenu.desktop $kdehome/Autostart/ && touch $kdehome/Autostart/.openkmenu

else

rm -f $kdehome/Autostart/openkmenu.desktop

fi

elif [ -e $kdehome/Autostart/openkmenu.desktop ]; then

rm -f $kdehome/Autostart/openkmenu.desktop

fi

 

fi

 

if [ ! -e $kdehome/Autostart/alignment-icons.desktop ] && [ ! -e $kdehome/Autostart/.alignment-icons ]; then

[ ! -d $kdehome/Autostart ] && mkdir -p $kdehome/Autostart

cp /usr/share/mdk/kde/alignment-icons.desktop $kdehome/Autostart/ && touch $kdehome/Autostart/.alignment-icons

else

rm -f $kdehome/Autostart/alignment-icons.desktop

fi

 

export HELP_BROWSER="kfmclient openProfile webbrowsing"

export BROWSER="kfmclient openProfile webbrowsing"

export DESKTOP="kde"

# David - 2.1.1-4mdk - To be able to use the Windows key to open the K menu

# laurent kde 2.2-22mdk test windows-key

 

 

 

machine_type=$(uname -m)

if [ $machine_type != "ppc" ] && [ $machine_type != "sparc" ] && [ $machine_type != "alpha" ] ; then

/usr/bin/test-windows-key

fi

 

 

# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap

if test -n "$GS_LIB" ; then

GS_LIB=$usr_fdir:$GS_LIB

export GS_LIB

else

GS_LIB=$usr_fdir

export GS_LIB

fi

 

# Link "tmp" resource to directory in /tmp

# Creates a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.

lnusertemp tmp >/dev/null

 

# Link "socket" resource to directory in /tmp

# Creates a directory /tmp/ksocket-$USER and links $KDEHOME/socket-$HOSTNAME to it.

lnusertemp socket >/dev/null

 

# Link "cache" resource to directory in /var/tmp

# Creates a directory /var/tmp/kdecache-$USER and links $KDEHOME/cache-$HOSTNAME to it.

lnusertemp cache >/dev/null

 

# In case of dcop sockets left by a previous session, cleanup

dcopserver_shutdown

 

echo 'startkde: Starting up...' 1>&2

 

# the splashscreen and progress indicator

ksplash --nodcop

 

# We set LD_BIND_NOW to increase the efficiency of kdeinit.

# kdeinit unsets this variable before loading applications.

LD_BIND_NOW=true kdeinit +kcminit +knotify

if test $? -ne 0; then

# Startup error

echo 'startkde: Could not start kdeinit. Check your installation.' 1>&2

xmessage -geometry 500x100 "Could not start kdeinit. Check your installation."

fi

 

# finally, give the session control to the session manager

# if the KDEWM environment variable has been set, then it will be used as KDE's

# window manager instead of kwin.

# if KDEWM is not set, ksmserver will ensure kwin is started.

# kwrapper is used to reduce startup time and memory usage

# kwrapper does not return usefull error codes such as the exit code of ksmserver.

# We only check for 255 which means that the ksmserver process could not be

# started, any problems thereafter, e.g. ksmserver failing to initialize,

# will remain undetected.

test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"

kwrapper ksmserver $KDEWM

if test $? -eq 255; then

# Startup error

echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2

xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."

fi

 

echo 'startkde: Shutting down...' 1>&2

 

# Clean up

kdeinit_shutdown

dcopserver_shutdown

artsshell -q terminate

 

echo 'startkde: Running shutdown scripts...' 1>&2

 

# Run scripts found in $KDEDIRS/shutdown

for prefix in `echo "$exepath" | sed -e 's^/bin/^/shutdown/^g;s^:^ ^g'`; do

for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do

test -x "$prefix$file" && "$prefix$file"

done

done

 

 

echo 'startkde: Done.' 1>&2

 

 

I edited .xinitrc and set it as follows::

 

#!/bin/sh

# © 2000-2002 MandrakeSoft

# $Id: xinitrc-xinitrc,v 1.2 2002/09/10 05:53:43 flepied Exp $

 

# Set a background here because it's not done anymore

# in Xsesion for non root users

if [ "`whoami`" != root ]; then

xsetroot -solid "#21449C"

fi

 

#exec /etc/X11/Xsession $*

 

export QTDIR=/opt/kde3.5.4

export KDEDIR=/opt/kde3.5.4

export LD_LIBRARY_PATH=/opt/kde3.5.4/lib

export PATH=/opt/kde3.5.4/bin:$PATH

export KDEHOME=~/.kdetest

# Tried startkde and exec startkde for following line.

#exec startkde

startkde

 

 

When I booted kde 3.2.3 started.

 

I next looked at startkde (full listing below). I noticed a line

 

exepath=`kde-config --path exe`

 

From a terminal I ran

echo `kde-config --path exe`

 

The result was

/root/.kde/bin/:/usr/bin/ ----- when su root

 

/home/dad1/.kde/bin/:/usr/bin/ ---- when su <user>

 

which presumably is the location of kde 3.2.3. Maybe I need to modify this line to point to the config file for 3.5? Or may be I set exepath directly?

 

 

********* startkde listing ********************************

 

#!/bin/sh

#

# DEFAULT KDE STARTUP SCRIPT ( KDE-3.2 )

#

 

# When the X server dies we get a HUP signal from xinit. We must ignore it

# because we still need to do some cleanup.

trap 'echo GOT SIGHUP' HUP

 

# we have to unset this for Darwin since it will screw up KDE's dynamic-loading

unset DYLD_FORCE_FLAT_NAMESPACE

 

# Boot sequence:

#

# kdeinit is used to fork off processes which improves memory usage

# and startup time.

#

# * kdeinit starts the dcopserver and klauncher first.

# * Then kded is started. kded is responsible for keeping the sycoca

# database up to date. When an up to date database is present it goes

# into the background and the startup continues.

# * Then kdeinit starts kcminit. kcminit performs initialisation of

# certain devices according to the user's settings

#

# * Then ksmserver is started which in turn starts

# 1) the window manager (kwin)

# 2) everything in $KDEDIR/share/autostart (kdesktop, kicker, etc.)

# 3) the rest of the session.

 

# The user's personal KDE directory is usually ~/.kde, but this setting

# may be overridden by setting KDEHOME.

 

kdehome=$HOME/.kde

test -n "$KDEHOME" && kdehome=`echo "$KDEHOME"|sed "s,^~/,$HOME/,"`

 

exepath=`kde-config --path exe`

 

for prefix in `echo "$exepath" | sed -e 's^/bin/^/env/^g;s^:^ ^g'`; do

for file in "$prefix"*.sh; do

test -r "$file" && . "$file"

done

done

 

 

# Activate the kde font directories.

#

# There are 4 directories that may be used for supplying fonts for KDE.

#

# There are two system directories. These belong to the administrator.

# There are two user directories, where the user may add her own fonts.

#

# The 'override' versions are for fonts that should come first in the list,

# i.e. if you have a font in your 'override' directory, it will be used in

# preference to any other.

#

# The preference order looks like this:

# user override, system override, X, user, system

#

# Where X is the original font database that was set up before this script

# runs.

 

usr_odir=$HOME/.fonts/kde-override

usr_fdir=$HOME/.fonts

 

# Add any user-installed font directories to the X font path

kde_fontpaths=$usr_fdir/fontpaths

do_usr_fdir=1

do_usr_odir=1

if test -r "$kde_fontpaths" ; then

savifs=$IFS

IFS="

"

for fpath in `grep -v '^[ ]*#' < "$kde_fontpaths"` ; do

rfpath=`echo $fpath | sed "s:^~:$HOME:g"`

if test -s "$rfpath"/fonts.dir; then

xset fp+ "$rfpath"

if test "$rfpath" = "$usr_fdir"; then

do_usr_fdir=0

fi

if test "$rfpath" = "$usr_odir"; then

do_usr_odir=0

fi

fi

done

IFS=$savifs

fi

 

if test -n "$KDEDIRS"; then

kdedirs_first=`echo "$KDEDIRS"|sed -e 's/:.*//'`

sys_odir=$kdedirs_first/share/fonts/override

sys_fdir=$kdedirs_first/share/fonts

else

sys_odir=$KDEDIR/share/fonts/override

sys_fdir=$KDEDIR/share/fonts

fi

 

# We run mkfontdir on the user's font dirs (if we have permission) to pick

# up any new fonts they may have installed. If mkfontdir fails, we still

# add the user's dirs to the font path, as they might simply have been made

# read-only by the administrator, for whatever reason.

 

# Only do usr_fdir and usr_odir if they are *not* listed in fontpaths

test -d "$sys_odir" && xset +fp "$sys_odir"

test $do_usr_odir -eq 1 && test -d "$usr_odir" && (mkfontdir "$usr_odir" ; xset +fp "$usr_odir")

test $do_usr_fdir -eq 1 && test -d "$usr_fdir" && (mkfontdir "$usr_fdir" ; xset fp+ "$usr_fdir")

test -d "$sys_fdir" && xset fp+ "$sys_fdir"

 

# Ask X11 to rebuild its font list.

xset fp rehash

 

# if the user has overwritten fonts, the cursor font may be different now

# so don't move this up

 

# Set a left cursor instead of the standard X11 "X" cursor, since I've heard

# from some users that they're confused and don't know what to do. This is

# especially necessary on slow machines, where starting KDE takes one or two

# minutes until anything appears on the screen.

#

# Set the background to plain grey.

# The standard X background is nasty, causing moire effects and exploding

# people's heads. We use colours from the standard KDE palette for those with

# palettised displays.

 

xsetroot -cursor_name left_ptr $bkg

 

[ ! -d $kdehome/share/config ] && mkdir -p $kdehome/share/config

 

if [ ! -e /dev/dsp ] && [ ! -e $kdehome/share/config/kcmartsrc ] ; then

echo "[Arts]" > $kdehome/share/config/kcmartsrc

echo "StartServer=false" >> $kdehome/share/config/kcmartsrc

fi

magicdev &

if [ "`whoami`" = root ] ; then

cd /usr/share/mdk/kde/root-interface/

for i in *; do

if [ ! -e /root/.kde/share/config/$i ]; then

cp -fr $i /root/.kde/share/config/

fi

done

cd -

else

 

#if [ -f ~/.drakfw ] && [ -f $kdehome/share/apps/konqueror/bookmarks.xml ] && [ "$(cat $kdehome/share/apps/konqueror/bookmarks.xml | wc -l| awk '{print $1}')" -eq "2" ] ; then

 

# cp -fv /usr/share/mdk/kde/bookmarks.xml $kdehome/share/apps/konqueror/

# perl -pi -e "/\[KonqMainWindow Toolbar bookmarkToolBar\]/ .. /^\s*$/ and s/Hidden=true/Hidden=false/" $kdehome/share/config/konquerorc

#elif [ ! -f $kdehome/share/apps/konqueror/bookmarks.xml ]; then

# [ ! -d $kdehome/share/apps/konqueror/ ] && mkdir -p $kdehome/share/apps/konqueror/

# cp -fv /usr/share/mdk/kde/bookmarks.xml $kdehome/share/apps/konqueror/

#fi

 

if [ $(grep "META_CLASS=desktop" /etc/sysconfig/system) ]; then

if [ ! -e $kdehome/Autostart/openkmenu.desktop ] && [ ! -e $kdehome/Autostart/.openkmenu ]; then

[ ! -d $kdehome/Autostart ] && mkdir -p $kdehome/Autostart

cp /usr/share/mdk/kde/openkmenu.desktop $kdehome/Autostart/ && touch $kdehome/Autostart/.openkmenu

else

rm -f $kdehome/Autostart/openkmenu.desktop

fi

elif [ -e $kdehome/Autostart/openkmenu.desktop ]; then

rm -f $kdehome/Autostart/openkmenu.desktop

fi

 

fi

 

if [ ! -e $kdehome/Autostart/alignment-icons.desktop ] && [ ! -e $kdehome/Autostart/.alignment-icons ]; then

[ ! -d $kdehome/Autostart ] && mkdir -p $kdehome/Autostart

cp /usr/share/mdk/kde/alignment-icons.desktop $kdehome/Autostart/ && touch $kdehome/Autostart/.alignment-icons

else

rm -f $kdehome/Autostart/alignment-icons.desktop

fi

 

export HELP_BROWSER="kfmclient openProfile webbrowsing"

export BROWSER="kfmclient openProfile webbrowsing"

export DESKTOP="kde"

# David - 2.1.1-4mdk - To be able to use the Windows key to open the K menu

# laurent kde 2.2-22mdk test windows-key

 

 

 

machine_type=$(uname -m)

if [ $machine_type != "ppc" ] && [ $machine_type != "sparc" ] && [ $machine_type != "alpha" ] ; then

/usr/bin/test-windows-key

fi

 

 

# Get Ghostscript to look into user's KDE fonts dir for additional Fontmap

if test -n "$GS_LIB" ; then

GS_LIB=$usr_fdir:$GS_LIB

export GS_LIB

else

GS_LIB=$usr_fdir

export GS_LIB

fi

 

# Link "tmp" resource to directory in /tmp

# Creates a directory /tmp/kde-$USER and links $KDEHOME/tmp-$HOSTNAME to it.

lnusertemp tmp >/dev/null

 

# Link "socket" resource to directory in /tmp

# Creates a directory /tmp/ksocket-$USER and links $KDEHOME/socket-$HOSTNAME to it.

lnusertemp socket >/dev/null

 

# Link "cache" resource to directory in /var/tmp

# Creates a directory /var/tmp/kdecache-$USER and links $KDEHOME/cache-$HOSTNAME to it.

lnusertemp cache >/dev/null

 

# In case of dcop sockets left by a previous session, cleanup

dcopserver_shutdown

 

echo 'startkde: Starting up...' 1>&2

 

# the splashscreen and progress indicator

ksplash --nodcop

 

# We set LD_BIND_NOW to increase the efficiency of kdeinit.

# kdeinit unsets this variable before loading applications.

LD_BIND_NOW=true kdeinit +kcminit +knotify

if test $? -ne 0; then

# Startup error

echo 'startkde: Could not start kdeinit. Check your installation.' 1>&2

xmessage -geometry 500x100 "Could not start kdeinit. Check your installation."

fi

 

# finally, give the session control to the session manager

# if the KDEWM environment variable has been set, then it will be used as KDE's

# window manager instead of kwin.

# if KDEWM is not set, ksmserver will ensure kwin is started.

# kwrapper is used to reduce startup time and memory usage

# kwrapper does not return usefull error codes such as the exit code of ksmserver.

# We only check for 255 which means that the ksmserver process could not be

# started, any problems thereafter, e.g. ksmserver failing to initialize,

# will remain undetected.

test -n "$KDEWM" && KDEWM="--windowmanager $KDEWM"

kwrapper ksmserver $KDEWM

if test $? -eq 255; then

# Startup error

echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2

xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."

fi

 

echo 'startkde: Shutting down...' 1>&2

 

# Clean up

kdeinit_shutdown

dcopserver_shutdown

artsshell -q terminate

 

echo 'startkde: Running shutdown scripts...' 1>&2

 

# Run scripts found in $KDEDIRS/shutdown

for prefix in `echo "$exepath" | sed -e 's^/bin/^/shutdown/^g;s^:^ ^g'`; do

for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do

test -x "$prefix$file" && "$prefix$file"

done

done

 

 

echo 'startkde: Done.' 1>&2

Link to comment
Share on other sites

I searched for kde-config files and found one in the kde3.5.4 directory. I ran

 

echo `/opt/kde3.5.4/bin/kde-config --path exe`

 

and the result was

 

/root/.kde/bin/:/opt/kde3.5.4/bin/

 

I edited the execpath line in startkde to

 

exepath=`/opt/kde3.5.4/bin/kde-config --path exe`

 

However when I re-booted kde3.5.4 started.

 

Ooooppp!!! Sorry. Finger trouble.

 

Last line in previous message should read 3.2 started.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...